<?php
class shopPaygineConfirmPluginProcessAction extends shopWorkflowProcessAction
{
	const PAYMENT_PLUGIN_NAME = 'paygine';
	public function postExecute($order_id = null, $result = null)
	{
		$order_params_model = new shopOrderParamsModel();
		$payment_plugin_name = $order_params_model->getOne($order_id, 'payment_plugin');
		if($payment_plugin_name === self::PAYMENT_PLUGIN_NAME){
			$payment_id = $order_params_model->getOne($order_id, 'payment_id');
			$payment_plugin = shopPayment::getPlugin(null, $payment_id);
			$order_model = new shopOrderModel();
			$order_data = $order_model->getById($order_id);
			$order = waOrder::factory($order_data);
			$order_params_model = new shopOrderParamsModel();
			$order['params'] = $order_params_model->get($order_id);
			$order_items_model = new shopOrderItemsModel();
			$order['items'] = $order_items_model->getByField('order_id', $order_id, true);
			$payment_plugin->register_order($order, [], 1);
		}
		parent::postExecute($order_id, $result);
	}

}